#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  libpsl-0.21.1

- Next

  libsoup-2.74.2

- Up
- Home

# libndp-1.8

## Introduction to libndp

The libndp package provides a wrapper for IPv6 Neighbor Discovery Protocol. It also provides a tool named ndptool for sending and receiving NDP messages.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): http://libndp.org/files/libndp-1.8.tar.gz

- Download MD5 sum: c7e775fd5a9d676e8cba9c3732c4df93

- Download size: 360 KB

- Estimated disk space required: 2.5 MB

- Estimated build time: less than 0.1 SBU

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libndp

## Installation of libndp

Install libndp by running the following command:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --localstatedir=/var \
                --disable-static     &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: ndptool
Installed Library: libndp.so
Installed Directory: None

### Short Descriptions

ndptool | is a tool for sending and receiving NDP messages
`libndp.so` | provides a wrapper for the IPv6 Neighbor Discovery Protocol

Last updated on

- Prev

  libpsl-0.21.1

- Next

  libsoup-2.74.2

- Up
- Home